%global modulename resolve-url

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-resolve-url
Version:        0.2.1
Release:        1%{?dist}
Summary:        Like Node.js’ `path.resolve`/`url.resolve` for the browser.

License:        MIT
URL:            https://github.com/lydell/resolve-url#readme
Source0:        https://registry.npmjs.org/resolve-url/-/resolve-url-0.2.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Like Node.js’ `path.resolve`/`url.resolve` for the browser.

%package 0.2.1
Summary:        Like Node.js’ `path.resolve`/`url.resolve` for the browser.


%description 0.2.1
Like Node.js’ `path.resolve`/`url.resolve` for the browser.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jshintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bower.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr component.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr resolve-url.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc changelog.md
%doc readme.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.2.1
%doc changelog.md
%doc readme.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 26 2018 npm2srpm <dshea@redhat.com> - 0.2.1-1
- Package automatically generated by npm2srpm
